version: '2.1'
services:
  rabbitmq:
    image: rabbitmq:3.8.2-management
    container_name: ${COMPOSE_PROJECT_NAME}-rabbitmq
    environment:
      - RABBITMQ_DEFAULT_USER=${RABBITMQ_DEFAULT_USER}
      - RABBITMQ_DEFAULT_PASS=${RABBITMQ_DEFAULT_PASS}
    ports:
      - "5671:5671"
      - "5672:5672"
      - "25672:25672"
      - "15672:15672"
    healthcheck:
      test: ["CMD", "rabbitmqctl", "node_health_check"]
      interval: 5s
      timeout: 10s
      retries: 100
    networks:
      - ddf

  job-controller:
    image: registry.gitlab.com/mnemotix/ddf/ddf-jobs-controller:0.1.2-SNAPSHOT
    container_name: ${COMPOSE_PROJECT_NAME}-job-controller
    external_links:
      - ${COMPOSE_PROJECT_NAME}-rabbitmq
    volumes:
      - /tmp:/data/upload
    depends_on:
      rabbitmq:
        condition: service_healthy
    environment:
      - RABBITMQ_USER=${RABBITMQ_DEFAULT_USER}
      - RABBITMQ_PWD=${RABBITMQ_DEFAULT_PASS}
      - RABBITMQ_HOST=${RABBITMQ_HOST}
      - RABBITMQ_PORT=${RABBITMQ_PORT}
      - RABBITMQ_DURABLE_MESSAGES=false
      - RABBITMQ_TIMEOUT=${RABBITMQ_TIMEOUT}
      - RABBITMQ_EXCHANGE_NAME=${COMPOSE_PROJECT_NAME}
      - RDFSTORE_USER=${RDFSTORE_USER}
      - RDFSTORE_PWD=${RDFSTORE_PWD}
      - RDFSTORE_ROOT_URI=${RDFSTORE_ROOT_URI}
      - RDFSTORE_REPOSITORY_NAME=${RDFSTORE_REPOSITORY_NAME}
      - ES_MASTER_URI=${INDEX_MASTER_URI}
      - ES_CLUSTER_USER=${INDEX_CLUSTER_USER}
      - ES_CLUSTER_PWD=${INDEX_CLUSTER_PWD}
      - ES_PREFIX_TYPES_WITH=${INDEX_PREFIX_TYPES_WITH}
      - DICTIONNAIRE_DATA_DIR=/data/upload
    networks:
      - ddf
networks:
  ddf:
    driver: bridge
